Bug 1194577

Summary: Python 3 Migration Improvements
Product: [Fedora] Fedora Reporter: Jaroslav Reznik <jreznik>
Component: Changes TrackingAssignee: Jaroslav Reznik <jreznik>
Status: CLOSED EOL QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: bkabrda, mhroncok, pviktori
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ChangeAcceptedF22 SystemWideChange
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:10:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1014595, 1024357, 1024368, 1192086, 1192111, 1194324, 1244505, 1297899, 1298167    
Bug Blocks: 1076441    

Description Jaroslav Reznik 2015-02-20 09:20:14 UTC
This is a tracking bug for Change: Python 3 Migration Improvements
For more details, see: https://fedoraproject.org//wiki/Changes/Python_3_Migration_Improvements

Since Changes/Python_3_as_Default was retargeted for F23 mostly due to uncertainty about DNF and Anaconda porting status, this change aims to reflect current progress of Python 3 readiness in Fedora and sum up goals for Fedora 22.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:51 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Bohuslav "Slavek" Kabrda 2015-02-23 10:21:14 UTC
To provide current status of Python 3 switching:

- authconfig has already been switched
- cloud-init will be switched today
- dnf will be switched today
- gettext has already been switched
- heat-cfntools will be switched today
- nfs-utils will be switched today
- pcp will be switched today
- sos will be switched today

So everything is either switched already or will be switched today. I emailed Colin Walters to change remaining Python 2 packages to their Python 3 variant in Fedora Atomic Host, so everything should be ready by tomorrow.

The rest of the packages mentioned in the change page would be nice to switch, but we're not relying on them - the ones listed above are the hard requirements (and I made this bug depend on them).

Comment 3 Jaroslav Reznik 2015-02-23 11:52:09 UTC
Thanks! Let me know once the switch is completed.

Comment 4 Bohuslav "Slavek" Kabrda 2015-02-23 12:20:21 UTC
Ok, so it turns out that policycoreutils-python3 exists, but doesn't work [1] (not fully, anyway). That means that we won't be able to achieve python2-free minimal cloud image or atomic host and the change has to be reverted. I'll make sure we only have Python 2 on both atomic host and in minimal cloud image and note in this image when I've reverted everything properly. Packages that are not in atomic host and minimal cloud image still can freely port for F22, but the rest should only port for F23.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1195139#c1

Comment 5 Jaroslav Reznik 2015-03-24 11:41:51 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 6 Jaroslav Reznik 2015-03-31 09:51:12 UTC
Reverted in F22.

Comment 7 Raphael Groner 2015-12-21 20:58:46 UTC
hamster-time-tracker v2.0-rc1 promises support for Python3 (and Gtk3). But I fail to find any new dependencies as said in the announcement of upstream.

Comment 8 Parag Nemade 2016-07-24 10:09:01 UTC
Do anyone knows what's the status of this bug?

Comment 9 Jan Kurik 2016-07-26 04:27:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 10 Petr Viktorin 2016-07-29 09:11:38 UTC
The Change was reverted for f22. For f23, it's superseded by the [Python 3 as Default] Change. For the general porting effort, [PYTHON3] is the master tracking bug.

I don't think this bug is useful as a tracker, so I believe it can be closed. However I'm not familiar with Changes Tracking bug workflows.


[Python 3 as Default]: https://fedoraproject.org/wiki/Changes/Python_3_as_Default
[PYTHON3]: https://bugzilla.redhat.com/showdependencytree.cgi?id=1285816&hide_resolved=1

Comment 11 Fedora End Of Life 2017-11-16 19:08:15 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2017-12-12 10:10:53 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.